package com.chenyang.nse.bussiness.entity.webApi;

public enum ApiCode {
   ok("0", ""),
   invaliadConfig("10", "无效的配置信息"),
   encFailed("20", "加密失败%s"),
   decFailed("30", "解密失败%s"),
   dataOverflow("40", "超过数据处理上线,传入的数据量为:%s"),
   unconfig("50", "未配置加密信息:%s"),
   other("999", "其它未知异常:%s");

   private String code;
   private String text;

   public String getCode() {
      return this.code;
   }

   public String getText() {
      return this.text;
   }

   private ApiCode(String code, String text) {
      this.code = code;
      this.text = text;
   }
}
